<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    xmlns:card_view="http://schemas.android.com/apk/res-auto"
    app:layout_behavior="@string/appbar_scrolling_view_behavior"
    tools:context=".dailyentry.CompetitionPromoActivity"
    tools:showIn="@layout/activity_compition_promo"
    android:orientation="vertical">

    <androidx.cardview.widget.CardView
        android:id="@+id/card_view"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_margin="5dp"
        card_view:cardCornerRadius="10dp">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical"
            android:weightSum="4">

            <!--Additional Promo-->
            <LinearLayout
                android:visibility="gone"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:background="@color/colorPrimaryDark"
                android:orientation="vertical">

                <TextView
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:paddingBottom="5dp"
                    android:paddingLeft="10dp"
                    android:paddingTop="5dp"
                    android:text="@string/promo_compliance_additional_promo"
                    android:textAppearance="?android:attr/textAppearanceSmall"
                    android:textColor="@color/black" />
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="horizontal"
                android:padding="5dp"
                android:weightSum="2"
                android:background="@color/light_store_list">

                <TextView
                    android:id="@+id/tv_"
                    android:layout_width="0dp"
                    android:layout_height="match_parent"
                    android:layout_weight="1.5"
                    android:gravity="center_vertical"
                    android:paddingLeft="5dp"
                    android:text="@string/exists" />

                <ToggleButton
                    android:id="@+id/btntoggle"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:textOn="@string/yes"
                    android:textOff="@string/no"
                    android:background="@drawable/toggle_selector_background"
                    android:layout_weight=".5" />

            </LinearLayout>

            <LinearLayout
                android:id="@+id/lin_parent_promo"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="vertical">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="2dp"
                    android:orientation="horizontal"
                    android:weightSum="2">

                    <TextView
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center_vertical"
                        android:layout_weight=".8"
                        android:paddingBottom="5dp"
                        android:paddingLeft="10dp"
                        android:paddingTop="5dp"
                        android:text="@string/promotion_type"
                        android:textAppearance="?android:attr/textAppearanceSmall"
                        android:textColor="@color/black" />

                    <Spinner
                        android:id="@+id/sp_promotion_typ"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="1.2" />
                </LinearLayout>

//SUB CATEGORY
                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="2dp"
                    android:orientation="horizontal"
                    android:weightSum="2">

                    <TextView
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center_vertical"
                        android:layout_weight=".8"
                        android:paddingBottom="5dp"
                        android:paddingLeft="10dp"
                        android:paddingTop="5dp"
                        android:text="@string/sub_category"
                        android:textAppearance="?android:attr/textAppearanceSmall"
                        android:textColor="@color/black" />

                    <Spinner
                        android:id="@+id/sp_subcategory"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="1.2" />
                </LinearLayout>

                <!--Brand Spinner-->
                <LinearLayout
                    android:id="@+id/lay_competitor_name"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="2dp"
                    android:visibility="visible"
                    android:orientation="horizontal"
                    android:weightSum="2">

                    <TextView
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center_vertical"
                        android:layout_weight=".8"
                        android:paddingBottom="5dp"
                        android:paddingLeft="10dp"
                        android:paddingTop="5dp"
                        android:text="@string/competitor"
                        android:textAppearance="?android:attr/textAppearanceSmall"
                        android:textColor="@color/black" />

                    <Spinner
                        android:id="@+id/sp_brand"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="1.2" />
                </LinearLayout>


                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="2dp"
                    android:orientation="horizontal"
                    android:weightSum="2">

                    <TextView
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center_vertical"
                        android:layout_weight=".8"
                        android:paddingLeft="10dp"
                        android:text="@string/comment"
                        android:textAppearance="?android:attr/textAppearanceSmall"
                        android:textColor="@color/black"
                        android:textAllCaps="false"/>

                    <EditText
                        android:id="@+id/et_sku_name"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:textSize="@dimen/text_size_xsmall"
                        android:inputType="text"
                        android:layout_weight="1.2"
                        />
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="horizontal"
                    android:weightSum="3">

                    <LinearLayout
                        android:layout_width="0dp"
                        android:layout_height="match_parent"
                        android:layout_weight="1"
                        android:orientation="horizontal">

                        <TextView
                            android:layout_width="match_parent"
                            android:layout_height="match_parent"
                            android:gravity="center_vertical"
                            android:padding="@dimen/custom_margin"
                            android:text="@string/image"
                            android:textStyle="bold"
                            android:visibility="invisible"/>
                    </LinearLayout>

                    <LinearLayout
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="2"
                        android:visibility="visible"
                        android:orientation="horizontal"
                        android:weightSum="3">

                        <RelativeLayout
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_marginRight="10dp"
                            android:layout_weight="1">

                            <ImageView
                                android:id="@+id/img_cam"
                                android:layout_width="50dp"
                                android:layout_height="50dp"
                                android:layout_alignParentTop="true"
                                android:layout_centerHorizontal="true"
                                android:layout_weight="1"
                                android:background="@mipmap/camera_orange"
                                android:padding="@dimen/custom_margin"
                                android:text="@string/image" />

                        </RelativeLayout>

                        <RelativeLayout
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_marginRight="10dp"
                            android:visibility="gone"
                            android:layout_weight="1">

                            <ImageView
                                android:id="@+id/img_cam1"
                                android:layout_width="50dp"
                                android:layout_height="50dp"
                                android:layout_alignParentTop="true"
                                android:layout_centerHorizontal="true"
                                android:layout_weight="1"
                                android:background="@mipmap/camera_orange"
                                android:padding="@dimen/custom_margin"
                                android:text="@string/image" />
                        </RelativeLayout>

                        <RelativeLayout
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_marginRight="10dp"
                            android:visibility="gone"
                            android:layout_weight="1">

                            <ImageView
                                android:id="@+id/img_cam2"
                                android:layout_width="50dp"
                                android:layout_height="50dp"
                                android:layout_alignParentTop="true"
                                android:layout_centerHorizontal="true"
                                android:layout_weight="1"
                                android:background="@mipmap/camera_orange"
                                android:padding="@dimen/custom_margin"
                                android:text="@string/image" />
                        </RelativeLayout>
                    </LinearLayout>

                </LinearLayout>

                <com.google.android.material.floatingactionbutton.FloatingActionButton
                    android:id="@+id/fab_add"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="right"
                    android:layout_margin="5dp"
                    app:srcCompat="@drawable/add" />

            </LinearLayout>


        </LinearLayout>
    </androidx.cardview.widget.CardView>

    <androidx.recyclerview.widget.RecyclerView
        android:id="@+id/rec_added_counterfeit_product"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        />
</LinearLayout>